Subject: [quicwg/base-drafts] 2d9845: Make HTTP frames a TLV format (#2235)

From: ekr <[email-masked]>
Date: Tue, 05 Feb 2019 16:20:18 -0800

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 2d98453d0abf526bc812c3f83b8149d3ed57cb73
      https://github.com/quicwg/base-drafts/commit/2d98453d0abf526bc812c3f83b8149d3ed57cb73
  Author: ekr <[email-masked]>
  Date:   2019-02-05 (Tue, 05 Feb 2019)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Make HTTP frames a TLV format (#2235)

* Make HTTP frames a TLV format. This has several advantages:

I know this is a late change, but I think it's an improvement....

- You can switch on the frame type before you even read a
  variable-length value
- You can have special-case (negotiated) frame types with no lengths

If this has already been discussed and rejected somewhere, maybe
I missed it.

* ...